---

nvidia_driver_version: "410.78"

# command that loads all kernel modules for the gpus which in turn
# creates all the devices in /dev
# this fixes the missing 'uvm' device issue we've seen
# its an idempotent command and is safe to run at anytime
nvidia_modprobe_command: "/usr/bin/nvidia-modprobe -c 0 -u"
# another command to run to make sure everything is setup correctly
nvidia_smi_command: "/usr/bin/nvidia-smi"
nvidia_number_gpus_command: "/usr/bin/nvidia-smi --format=csv,noheader --query-gpu=count | head -n1"
nvidia_driver_version_command: "/usr/bin/nvidia-smi --format=csv,noheader --query-gpu=driver_version | head -n1"

drain_reason: "Upgrade nvidia drivers"

nvidia: 0
force_nvidia_install: 0

libcuda_files:
  - "libcuda.so"
  - "libEGL_nvidia.so"
  - "libEGL.so"
  - "libGLESv1_CM_nvidia.so"
  - "libGLESv2_nvidia.so"
  - "libGL.so"
  - "libGLX_nvidia.so"
  - "libglxserver_nvidia.so"
  - "libnvcuvid.so"
  - "libnvidia-cbl.so"
  - "libnvidia-cfg.so"
  - "libnvidia-compiler.so"
  - "libnvidia-eglcore.so"
  - "libnvidia-encode.so"
  - "libnvidia-fatbinaryloader.so"
  - "libnvidia-fbc.so"
  - "libnvidia-glcore.so"
  - "libnvidia-glsi.so"
  - "libnvidia-glvkspirv.so"
  - "libnvidia-gtk2.so"
  - "libnvidia-gtk3.so"
  - "libnvidia-ifr.so"
  - "libnvidia-ml.so"
  - "libnvidia-opencl.so"
  - "libnvidia-ptxjitcompiler.so"
  - "libnvidia-rtcore.so"
  - "libnvidia-tls.so"
  - "libnvidia-wfb.so"
  - "libnvoptix.so"
  - "libvdpau_nvidia.so"
